Index: MythCenter/ui.xml
===================================================================
--- MythCenter/ui.xml	(revision 11073)
+++ MythCenter/ui.xml	(working copy)
@@ -1317,9 +1317,13 @@
       </image>
       <image name="hdtv" draworder="6">
         <filename>type/hd.png</filename>
-        <position>275,195</position>
+        <position>265,195</position>
       </image>
-
+      <image name="watched" draworder="6">
+          <filename>type/watched.png</filename>
+          <position>300,195</position>
+      </image>
+      
     </container>
 
     <container name="program_info_del">
Index: Gray-OSD/osd.xml
===================================================================
--- Gray-OSD/osd.xml	(revision 11073)
+++ Gray-OSD/osd.xml	(working copy)
@@ -418,6 +418,7 @@
    </image> 
    <positionimage name="selector"> 
      <filename>selector.png</filename> 
+      <position>95,251</position>
       <position>95,281</position> 
       <position>95,311</position> 
       <position>95,341</position> 
@@ -429,25 +430,30 @@
       <multiline>yes</multiline> 
    </textarea> 
    <textarea name="option1"> 
-      <area>100,285,455,30</area> 
+      <area>100,255,455,30</area> 
       <font>infofont</font> 
       <altfont>infofontgray</altfont> 
    </textarea> 
    <textarea name="option2"> 
-      <area>100,315,455,30</area> 
+      <area>100,285,455,30</area> 
       <font>infofont</font> 
       <altfont>infofontgray</altfont> 
    </textarea> 
    <textarea name="option3"> 
-      <area>100,345,455,30</area> 
+      <area>100,315,455,30</area> 
       <font>infofont</font> 
       <altfont>infofontgray</altfont> 
    </textarea> 
    <textarea name="option4"> 
-      <area>100,375,455,30</area> 
+      <area>100,345,455,30</area> 
       <font>infofont</font> 
       <altfont>infofontgray</altfont> 
    </textarea> 
+   <textarea name="option5">
+      <area>100,375,455,30</area>
+      <font>infofont</font>
+      <altfont>infofontgray</altfont>
+    </textarea>
  </container> 
  
   <container name="menu">
Index: Retro/ui.xml
===================================================================
--- Retro/ui.xml	(revision 11073)
+++ Retro/ui.xml	(working copy)
@@ -1317,8 +1317,12 @@
       </image>
       <image name="hdtv" draworder="6">
         <filename>type/hd.png</filename>
-        <position>275,195</position>
+        <position>265,195</position>
       </image>
+      <image name="watched" draworder="6">
+          <filename>type/watched.png</filename>
+          <position>300,195</position>
+      </image>
 
     </container>
 
Index: Titivillus-OSD/osd.xml
===================================================================
--- Titivillus-OSD/osd.xml	(revision 11073)
+++ Titivillus-OSD/osd.xml	(working copy)
@@ -382,21 +382,26 @@
       <multiline>yes</multiline>
     </textarea>
     <textarea name="option1">
+      <area>110,223,470,30</area>
+      <font>infofont2</font>
+      <altfont>infofontgray</altfont>
+    </textarea>
+    <textarea name="option2">
       <area>110,253,470,30</area>
       <font>infofont2</font>
       <altfont>infofontgray</altfont>
     </textarea>
-    <textarea name="option2">
+    <textarea name="option3">
       <area>110,283,470,30</area>
       <font>infofont2</font>
       <altfont>infofontgray</altfont>
     </textarea>
-    <textarea name="option3">
+    <textarea name="option4">
       <area>110,313,470,30</area>
       <font>infofont2</font>
       <altfont>infofontgray</altfont>
     </textarea>
-    <textarea name="option4">
+    <textarea name="option5">
       <area>110,343,470,30</area>
       <font>infofont2</font>
       <altfont>infofontgray</altfont>
@@ -405,6 +410,7 @@
     <positionrects name="selector"> <!-- draws a white rectangle at these 
                                          coords indicating the current 
                                          selection -->
+      <area>105,216,460,30</area>
       <area>105,246,460,30</area>
       <area>105,276,460,30</area>
       <area>105,306,460,30</area>
Index: isthmus/osd.xml
===================================================================
--- isthmus/osd.xml	(revision 11073)
+++ isthmus/osd.xml	(working copy)
@@ -327,6 +327,7 @@
    </image> 
    <positionimage name="selector"> 
      <filename>selector.png</filename> 
+      <position>95,251</position> 
       <position>95,281</position> 
       <position>95,311</position> 
       <position>95,341</position> 
@@ -338,25 +339,30 @@
       <multiline>yes</multiline> 
    </textarea> 
    <textarea name="option1"> 
-      <area>100,285,455,30</area> 
+      <area>100,255,455,30</area> 
       <font>infofont</font> 
       <altfont>infofontgray</altfont> 
    </textarea> 
    <textarea name="option2"> 
-      <area>100,315,455,30</area> 
+      <area>100,285,455,30</area> 
       <font>infofont</font> 
       <altfont>infofontgray</altfont> 
    </textarea> 
    <textarea name="option3"> 
-      <area>100,345,455,30</area> 
+      <area>100,315,455,30</area> 
       <font>infofont</font> 
       <altfont>infofontgray</altfont> 
    </textarea> 
    <textarea name="option4"> 
-      <area>100,375,455,30</area> 
+      <area>100,345,455,30</area> 
       <font>infofont</font> 
       <altfont>infofontgray</altfont> 
    </textarea> 
+   <textarea name="option5">
+      <area>100,375,455,30</area>
+      <font>infofont</font>
+      <altfont>infofontgray</altfont>
+    </textarea>
  </container> 
  
 
Index: Iulius-OSD/osd.xml
===================================================================
--- Iulius-OSD/osd.xml	(revision 11073)
+++ Iulius-OSD/osd.xml	(working copy)
@@ -272,26 +272,32 @@
       <multiline>yes</multiline>
     </textarea>
     <textarea name="option1">
+      <area>85,223,470,30</area>
+      <font>infofont</font>
+      <altfont>infofontgray</altfont>
+    </textarea>
+    <textarea name="option2">
       <area>85,253,470,30</area>
       <font>infofont</font>
       <altfont>infofontgray</altfont>
     </textarea>
-    <textarea name="option2">
+    <textarea name="option3">
       <area>85,283,470,30</area>
       <font>infofont</font>
       <altfont>infofontgray</altfont>
     </textarea>
-    <textarea name="option3">
+    <textarea name="option4">
       <area>85,313,470,30</area>
       <font>infofont</font>
       <altfont>infofontgray</altfont>
     </textarea>
-    <textarea name="option4">
+    <textarea name="option5">
       <area>85,343,470,30</area>
       <font>infofont</font>
       <altfont>infofontgray</altfont>
     </textarea>
     <positionrects name="selector">
+      <area>80,219,480,30</area>
       <area>80,249,480,30</area>
       <area>80,279,480,30</area>
       <area>80,309,480,30</area>
Index: MythCenter-wide/ui.xml
===================================================================
--- MythCenter-wide/ui.xml	(revision 11073)
+++ MythCenter-wide/ui.xml	(working copy)
@@ -1291,6 +1291,10 @@
         <filename>type/hd.png</filename>
         <position>255,258</position>
       </image>
+      <image name="watched" draworder="6">
+          <filename>type/watched.png</filename>
+          <position>300,104</position>
+      </image>
     </container>
 
     <container name="program_info_del">
Index: Titivillus/ui.xml
===================================================================
--- Titivillus/ui.xml	(revision 11073)
+++ Titivillus/ui.xml	(working copy)
@@ -995,6 +995,10 @@
         <filename>type/hd.png</filename>
         <position>257,104</position>
       </image>
+      <image name="watched" draworder="6">
+          <filename>type/watched.png</filename>
+          <position>302,104</position>
+      </image>
 
 
       <image name="processing" draworder="6">
Index: Iulius/ui.xml
===================================================================
--- Iulius/ui.xml	(revision 11073)
+++ Iulius/ui.xml	(working copy)
@@ -1314,8 +1314,12 @@
       </image>
       <image name="hdtv" draworder="6">
         <filename>type/hd.png</filename>
-        <position>275,195</position>
+        <position>265,195</position>
       </image>
+      <image name="watched" draworder="6">
+          <filename>type/watched.png</filename>
+          <position>300,195</position>
+      </image>
 
 
     </container>
Index: Retro-OSD/osd.xml
===================================================================
--- Retro-OSD/osd.xml	(revision 11073)
+++ Retro-OSD/osd.xml	(working copy)
@@ -309,10 +309,11 @@
    </image> 
    <positionimage name="selector"> 
      <filename>select.png</filename> 
+      <position>114,233</position> 
       <position>114,263</position> 
       <position>114,293</position> 
       <position>114,323</position> 
-      <position>114,353</position> 
+      <position>114,353</position>
     </positionimage> 
     <textarea name="message"> 455
       <area>120,94,394,220</area> 
@@ -320,25 +321,30 @@
       <multiline>yes</multiline> 
    </textarea> 
    <textarea name="option1"> 
-      <area>120,269,455,30</area> 
+      <area>120,239,455,30</area> 
       <font>notify</font> 
       <altfont>grayfont</altfont> 
    </textarea> 
    <textarea name="option2"> 
-      <area>120,299,455,30</area> 
+      <area>120,269,455,30</area> 
       <font>notify</font> 
       <altfont>grayfont</altfont> 
    </textarea> 
    <textarea name="option3"> 
-      <area>120,329,455,30</area> 
+      <area>120,299,455,30</area> 
       <font>notify</font> 
       <altfont>grayfont</altfont> 
    </textarea> 
    <textarea name="option4"> 
-      <area>120,359,455,30</area> 
+      <area>120,329,455,30</area> 
       <font>notify</font> 
       <altfont>grayfont</altfont> 
    </textarea> 
+   <textarea name="option5">
+      <area>120,359,455,30</area>
+      <font>notify</font>
+      <altfont>grayfont</altfont>
+    </textarea>
  </container> 
  
 