Index: mytharchive/i18n/mytharchive_de.ts
===================================================================
--- mytharchive/i18n/mytharchive_de.ts  (revision 11067)
+++ mytharchive/i18n/mytharchive_de.ts  (working copy)
@@ -42,7 +42,7 @@
     </message>
     <message>
         <source>Finish</source>
-        <translation>Abschließen</translation>
+        <translation>Fertigstellen</translation>
     </message>
     <message>
         <source>All Archive Items</source>
@@ -132,7 +132,7 @@
     </message>
     <message>
         <source>Finish</source>
-        <translation>Abschließen</translation>
+        <translation>Fertigstellen</translation>
     </message>
     <message>
         <source>Select a ChanID</source>
@@ -198,7 +198,7 @@
     </message>
     <message>
         <source>Finish</source>
-        <translation>Abschließen</translation>
+        <translation>Fertigstellen</translation>
     </message>
     <message>
         <source>All Archive Items</source>
@@ -238,7 +238,7 @@
     </message>
     <message>
         <source>Original Size </source>
-        <translation> Originalgröße</translation>
+        <translation>Ursprungsgröße</translation>
     </message>
 </context>
 <context>
@@ -486,6 +486,193 @@
     </message>
 </context>
 <context>
+    <name>ThemeUI</name>
+    <message>
+        <source>Select Recordings</source>
+        <translation>Aufnahmen auswählen</translation>
+    </message>
+    <message>
+        <source>Show Recordings</source>
+        <translation>Aufnahmen ansehen</translation>
+    </message>
+    <message>
+        <source>x.xx Gb</source>
+        <translation>x.xx Gb</translation>
+    </message>
+    <message>
+        <source>File Finder</source>
+        <translation>Dateienfinder</translation>
+    </message>
+    <message>
+        <source>Location:</source>
+        <translation>Pfad:</translation>
+    </message>
+    <message>
+        <source>Select Video&apos;s</source>
+        <translation>Videos auswählen</translation>
+    </message>
+    <message>
+        <source>Video Category</source>
+        <translation>Videokategorie</translation>
+    </message>
+    <message>
+        <source>PL:</source>
+        <translation>PL:</translation>
+    </message>
+    <message>
+        <source>1</source>
+        <translation>1</translation>
+    </message>
+    <message>
+        <source>No videos available</source>
+        <translation>Keine Videos vorhanden</translation>
+    </message>
+    <message>
+        <source>Select Destination</source>
+        <translation>Ziel auswählen</translation>
+    </message>
+    <message>
+        <source>Free Space:</source>
+        <translation>Freier Platz:</translation>
+    </message>
+    <message>
+        <source>0.00Gb</source>
+        <translation>0.00Gb</translation>
+    </message>
+    <message>
+        <source>Make ISO Image</source>
+        <translation>ISO Abbild erstellen</translation>
+    </message>
+    <message>
+        <source>Burn to DVD</source>
+        <translation>Auf DVD brennen</translation>
+    </message>
+    <message>
+        <source>Force Overwrite of DVD-RW Media</source>
+        <translation>Überschreiben des DVD-RW Mediums erzwingen</translation>
+    </message>
+    <message>
+        <source>Select Archive Items</source>
+        <translation>Archivobjekte auswählen</translation>
+    </message>
+    <message>
+        <source>Show Items</source>
+        <translation>Objekte anzeigen</translation>
+    </message>
+    <message>
+        <source>Use Cut List</source>
+        <translation>Schnittliste benutzen</translation>
+    </message>
+    <message>
+        <source>No Cutlist Available</source>
+        <translation>Keine Schnittliste vorhanden</translation>
+    </message>
+    <message>
+        <source>xxxxx mb</source>
+        <translation>xxxxx mb</translation>
+    </message>
+    <message>
+        <source>0 mb</source>
+        <translation>0 mb</translation>
+    </message>
+    <message>
+        <source>DVD Menu Theme</source>
+        <translation>DVD Menüthema</translation>
+    </message>
+    <message>
+        <source>Select a theme</source>
+        <translation>Thema auswählen</translation>
+    </message>
+    <message>
+        <source>Intro</source>
+        <translation>Einleitung</translation>
+    </message>
+    <message>
+        <source>Main Menu</source>
+        <translation>Hauptmenü</translation>
+    </message>
+    <message>
+        <source>Chapter Menu</source>
+        <translation>Kapitelmenü</translation>
+    </message>
+    <message>
+        <source>Details</source>
+        <translation>Details</translation>
+    </message>
+    <message>
+        <source>Items Selected for Archive</source>
+        <translation>Zum Archivieren ausgewählte Objekte</translation>
+    </message>
+    <message>
+        <source>Selected Items</source>
+        <translation>Ausgewählte Objekte</translation>
+    </message>
+    <message>
+        <source>Encoder Profile</source>
+        <translation>Kodierungsprofil</translation>
+    </message>
+    <message>
+        <source>Archive Item Details</source>
+        <translation>Archivobjekteigenschaften</translation>
+    </message>
+    <message>
+        <source>Title:</source>
+        <translation>Titel:</translation>
+    </message>
+    <message>
+        <source>Subtitle:</source>
+        <translation>Untertitel:</translation>
+    </message>
+    <message>
+        <source>Start Date:</source>
+        <translation>Startzeit:</translation>
+    </message>
+    <message>
+        <source>Time:</source>
+        <translation>Zeit:</translation>
+    </message>
+    <message>
+        <source>Description:</source>
+        <translation>Beschreibung:</translation>
+    </message>
+    <message>
+        <source>Find Archived File</source>
+        <translation>Archivierte Dateien finden</translation>
+    </message>
+    <message>
+        <source>Start Time:</source>
+        <translation>Startzeit:</translation>
+    </message>
+    <message>
+        <source>Select Associated Channel</source>
+        <translation>Zugeordneten Kanal auswählen</translation>
+    </message>
+    <message>
+        <source>Archived Channel</source>
+        <translation>Archivierter Kanal</translation>
+    </message>
+    <message>
+        <source>Chan. ID:</source>
+        <translation>Kanal ID:</translation>
+    </message>
+    <message>
+        <source>Chan. No:</source>
+        <translation>Kanal Nr:</translation>
+    </message>
+    <message>
+        <source>Callsign:</source>
+        <translation>Rufzeichen:</translation>
+    </message>
+    <message>
+        <source>Name:</source>
+        <translation>Name:</translation>
+    </message>
+    <message>
+        <source>Local Channel</source>
+        <translation>Lokaler Kanal</translation>
+    </message>
+</context>
+<context>
     <name>VideoSelector</name>
     <message>
         <source>Clear All</source>