Index: contrib/master_iconmap/data/callsigntonetwork.txt
===================================================================
--- contrib/master_iconmap/data/callsigntonetwork.txt	(revision 11550)
+++ contrib/master_iconmap/data/callsigntonetwork.txt	(working copy)
@@ -24,6 +24,7 @@
 BLOOM       BLOOM
 BRAVO       BRAVO
 BRAVOP      BRAVO
+C-SPAN      CSPAN
 C3-02       TLC
 C3-07       CSPAN
 C3-12       HISTORY
@@ -190,6 +191,7 @@
 HISTORY     HISTORY
 HISTP       HISTORY
 HSN         HOMESHOPPINGNETWORK
+I           I
 IFC         IFC
 INHD        INHD
 INHD2       INHD
@@ -710,6 +712,8 @@
 KYOU        FOX
 KYTV        NBC
 KYUS        NBC
+KYW         CBS-KYW
+KYW-DT      CBS-KYW
 KZOU        UPN
 KZWB        WB
 LIFE        LIFETIME
@@ -805,7 +809,9 @@
 TVLANDP     TVLAND
 TVONE       TVONE
 TWC         WEATHERCHANNEL
+UHD         UNIVERSALHD
 UNIP        UNIVISION
+UNIVERSALHD UNIVERSALHD
 USA         USA
 USAP        USA
 UW2TV       UWTV
@@ -914,7 +920,9 @@
 WBXX        WB
 WBZ         CBS
 WBZL        WB
-WCAU        NBC
+WCAU        NBC-WCAU
+WCAU-DT     NBC-WCAU
+WCAU-WX     NBC-WCAU-WEATHERPLUS
 WCBB        PBS-WCBB
 WCBD        NBC
 WCBIDT      UPN
@@ -1003,6 +1011,7 @@
 WFLX        FOX
 WFMJ        NBC
 WFOX        UPN
+WFPA        TELEFUTURA
 WFQX        FOX
 WFSU        PBS-WFSU
 WFTC        UPN
@@ -1047,6 +1056,12 @@
 WGTE        PBS-WGTE
 WGTU        ABC
 WGTV        PBS-WGTV
+WGTW        TBN-WGTW
+WGTW-D1     TBN-WGTW
+WGTW-D2     CHURCHCHANNEL
+WGTW-D3     JCTV
+WGTW-D4     ENLACEUS
+WGTW-D5     SMILEOFACHILD
 WGVU        PBS-WGVU
 WGWB        WB
 WGXA        FOX
@@ -1068,6 +1083,7 @@
 WHTV        UPN
 WHUT        PBS-WHUT
 WHYY        PBS-WHYY
+WHYY-1      PBS-WHYY
 WICD        NBC
 WICS        NBC
 WICU        NBC
@@ -1156,6 +1172,8 @@
 WMAR        ABC
 WMBB        ABC
 WMC         NBC
+WMCN        SHOPNBC-WMCN
+WMCN-DT     SHOPNBC-WMCN
 WMDN        UPN
 WMDT        ABC
 WMEC        PBS-WMEC
@@ -1190,6 +1208,7 @@
 WNIN        PBS-WNIN
 WNIT        PBS-WNIT
 WNJN        PBS
+WNJS        PBS-WNJS
 WNJT        PBS-WNJT
 WNJU        TELEMUNDO
 WNKY        NBC
@@ -1237,7 +1256,9 @@
 WPGA        ABC
 WPGH        FOX
 WPGX        FOX
-WPHL        WB
+WPHL        MYTV-WPHL
+WPHL-D1     MYTV-WPHL
+WPHL-D2     TUBE
 WPIX        CW-WPIX
 WPLG        ABC
 WPME        UPN
@@ -1245,15 +1266,18 @@
 WPMT        FOX
 WPNE        PBS-WPNE
 WPNY        UPN
+WPPX        I-WPPX
 WPSD        NBC
-WPSG        UPN
+WPSG        CW-WPSG
+WPSG-DT     CW-WPSG
 WPSX        PBS-WPSX
 WPTA        ABC
 WPTD        PBS-WPTD
 WPTV        NBC
 WPTY        ABC
 WPTZ        NBC
-WPVI        ABC
+WPVI        ABC-WPVI
+WPVI-HD     ABC-WPVI
 WPWR        UPN
 WPXD        PAX
 WPXI        NBC
@@ -1367,7 +1391,8 @@
 WTWB        WB
 WTWC        NBC
 WTWO        NBC
-WTXF        FOX
+WTXF        FOX-WTXF
+WTXFDT      FOX-WTXF
 WTXL        ABC
 WTXX        WB
 WUAB        UPN
@@ -1385,6 +1410,8 @@
 WUTB        UPN
 WUTR        ABC
 WUTV        FOX
+WUVP        UNIVISION
+WUVP-DT     UNIVISION
 WUXP        UPN
 WVAG        UPN
 WVAH        FOX
@@ -1435,6 +1462,8 @@
 WXXI        PBS-WXXI
 WXXV        FOX
 WXYZ        ABC
+WYBE        IND-WYBE
+WYBE-DT     IND-WYBE
 WYCC        PBS-WYCC
 WYDC        FOX
 WYES        PBS-WYES
Index: contrib/master_iconmap/data/networktourl.txt
===================================================================
--- contrib/master_iconmap/data/networktourl.txt	(revision 11550)
+++ contrib/master_iconmap/data/networktourl.txt	(working copy)
@@ -1,5 +1,6 @@
 ABC                     [zap2it]/abc.jpg
 ABC-WFTV                [ls-logo]/ww/wftv.jpg
+ABC-WPVI                [ls-logo]/ww/wpvi_abc6_philadelphia.jpg
 ABCFAMILY               [zap2it]/fam.jpg
 AE                      [zap2it]/aetv.jpg
 AMC                     [zap2it]/amc.gif
@@ -15,7 +16,9 @@
 CARTOONNETWORK          [zap2it]/toon.gif
 CBC                     [zap2it2]/cbc.gif
 CBS                     [zap2it]/cbs.jpg
+CBS-KYW                 [ls-logo]/kk/kyw_cbs3_philadelphia.jpg
 CBS-WKMG                [ls-logo]/ww/wkmg_orlando.jpg
+CHURCHCHANNEL           [ls-logo]/cc/church_channel.jpg
 CINEMAX                 [zap2it]/max.jpg
 CMTV                    [zap2it]/cmtv.gif
 CNBC                    [zap2it]/cnbc.jpg
@@ -31,6 +34,7 @@
 CW-WGN                  [ls-logo]/ww/wgn_cw9_chicago.jpg
 CW-WKCF                 [ls-logo]/ww/wkcf_cw18_clermont.jpg
 CW-WPIX                 [ls-logo]/ww/wpix_cw11_new_york.jpg
+CW-WPSG                 [ls-logo]/ww/wpsg_cw57_philadelphia.jpg
 DISCOVERY               [zap2it]/dsc.jpg
 DISCOVERYHD             [ls-icon]/dd/discovery_hd.gif
 DISNEY                  [zap2it]/disn.jpg
@@ -50,12 +54,14 @@
 Encore_Mystery          [ls-logo]/ee/encore_mystery.jpg
 Encore_WAM              [ls-logo]/ee/encore_wam.jpg
 Encore_Westerns         [ls-logo]/ee/encore_westerns.jpg
+ENLACEUS                [ls-logo]/tt/tbn_enlace_us.jpg
 FITV                    [zap2it]/thn.gif
 FLIVING                 [ls-icon]/ff/fineliving.gif
 FLIX                    [zap2it2]/flix.jpg
 FOOD                    [zap2it]/food.jpg
 FOX                     [zap2it]/fox.jpg
 FOX-WOFL                [ls-logo]/ww/wofl_fox35_orlando.jpg
+FOX-WTXF                [ls-logo]/ww/wtxf_fox29_philadelphia.jpg
 FOXMOVIE                [ls-icon]/ff/fox_moviechannel.gif
 FOXNEWS                 [zap2it]/fnc.gif
 FOXSPORTS               [zap2it]/foxsports.jpg
@@ -77,6 +83,7 @@
 HISTORY                 [ls-logo]/hh/historychannel.jpg
 HISTORY_INT             [ls-logo]/hh/history_int.jpg
 HOMESHOPPINGNETWORK     [zap2it]/hsn.jpg
+I-WPPX                  [ls-logo]/ww/wppx_i61_philadelphia.jpg
 IFC                     [ls-icon]/ii/ifc_us.gif
 INHD                    [ls-icon]/ii/inhd.gif
 IND-WACX                [ls-logo]/ww/wacx_tv55_orlando.jpg
@@ -84,7 +91,9 @@
 IND-WRDQ                [ls-logo]/ww/wrdq_action27_orlando.jpg
 IND-WSBK                [ls-logo]/ww/wsbk_tv38_boston.jpg
 IND-WTGL                [ls-logo]/ww/wtgl_52_cocoa.jpg
+IND-WYBE                [ls-logo]/ww/wybe_philadelphia.jpg
 IPLEX                   [ls-icon]/ee/encore_indieplex.gif
+JCTV                    [ls-logo]/jj/jc_tv.jpg
 KBCB                    [ls-icon]/kk/kbcb_24_world_tv_seattle.gif
 KHCV                    [ls-icon]/kk/khcv45_seattle.gif
 KIRO                    [ls-icon]/kk/kiro_cbs7_seattle.gif
@@ -99,11 +108,14 @@
 MSNBC                   [zap2it]/msnbc.jpg
 MTV                     [zap2it]/mtv.jpg
 MTV2                    [zap2it]/mtv2.gif
+MYTV-WPHL               [ls-logo]/ww/wphl_my17_philadelphia.jpg
 MYTV-WRBW               [ls-logo]/ww/wrbw_my65_orlando.jpg
 MYTV-WWOR               [ls-logo]/ww/wwor_my9_secaucus.jpg
 Military                [ls-logo]/mm/military_channel_discovery.jpg
 NASA                    [ls-icon]/nn/nasatv_us.gif
 NBC                     [zap2it]/nbc.jpg
+NBC-WCAU                [ls-logo]/ww/wcau_nbc10_philadelphia.jpg
+NBC-WCAU-WEATHERPLUS    [ls-logo]/ww/wcau_weather_plus.jpg
 NBC-WESH                [ls-logo]/ww/wesh_nbc2_daytona_beach.jpg
 NEWSENG                 [zap2it]/necn.gif
 NFL                     [ls-icon]/nn/nfl.gif
@@ -257,6 +269,7 @@
 PBS-WNET                [pbs]/WNET.gif
 PBS-WNIN                [pbs]/WNIN.gif
 PBS-WNIT                [pbs]/WNIT.gif
+PBS-WNJS                [ls-logo]/ww/wnjs_tv22_camden.jpg
 PBS-WNJT                [pbs]/WNJT.gif
 PBS-WNMU                [pbs]/WNMU.gif
 PBS-WNYE                [pbs]/WNYE.gif
@@ -306,26 +319,33 @@
 QVC                     [zap2it]/qvc.jpg
 RPLEX                   [ls-icon]/ee/encore_retroplex.gif
 SCIFI                   [zap2it]/scifi.jpg
+SHOPNBC                 [ls-logo]/ss/shopnbc.jpg
+SHOPNBC-WMCN            [ls-logo]/ww/wmcn_53_atlantic_city.jpg
 SHOWTIME                [zap2it]/show.jpg
 SHOWTIME2               [zap2it2]/showtime2.jpg
 SHOWTIME3               [zap2it2]/showtime3.jpg
 SHOWTIMEEXTREME         [zap2it2]/showtimeextreme.jpg
 SITV                    [zap2it]/sitv.gif
+SMILEOFACHILD           [ls-logo]/ss/smile_of_a_child.jpg
 SPEED                   [zap2it]/speed.gif
 SPIKE                   [ls-icon]/ss/spike_tv.gif
 STARZ                   [zap2it2]/starz.jpg
 STYLE                   [ls-icon]/ss/style.gif
 SUNDANCE                [zap2it2]/sundancechannel.jpg
+TBN-WGTW                [ls-logo]/ww/wgtw_48_philadelphia.jpg
 TBS                     [zap2it]/tbs.jpg
 TCM                     [zap2it]/tcm.jpg
+TELEFUTURA              [ls-logo]/tt/telefutura.jpg
 TELEMUNDO               [zap2it2]/telemundo.gif
 TLC                     [zap2it]/tlc.jpg
 TMC                     [zap2it]/tmc.jpg
 TNT                     [zap2it]/tnt.jpg
 TRAV                    [zap2it]/trav.gif
+TUBE                    [ls-logo]/tt/the_tube.jpg
 TV5                     [zap2it]/tv5.gif
 TVLAND                  [zap2it]/tvland.jpg
 TVONE                   [ls-logo]/tt/tv_one_us.jpg
+UNIVERSALHD             [ls-logo]/uu/universal_hd.jpg
 UNIVISION               [zap2it]/uni.jpg
 UPN                     [zap2it]/upn.jpg
 USA                     [zap2it]/usa.jpg